CURLOPT_FTP_ALTERNATIVE_TO_USER(3)

NAME
CURLOPT_FTP_ALTERNATIVE_TO_USER - command to use instead of USER with FTP

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FTP_ALTERNATIVE_TO_USER,
                          char *cmd);

DESCRIPTION
Pass a char * as parameter, pointing to a string which will be used to authenticate if the usual FTP "USER user" and "PASS password" negotiation fails. This is currently only known to be required when connecting to Tumbleweed's Secure Transport FTPS server using client certificates for authentication.

The application does not have to keep the string around after setting this option.

DEFAULT
NULL

PROTOCOLS
FTP

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "ftp://example.com/foo.bin");

  curl_easy_setopt(curl, CURLOPT_FTP_ALTERNATIVE_TO_USER, "two users");

  ret = curl_easy_perform(curl);

  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.15.5

RETURN VALUE
Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_FTP_SKIP_PASV_IP(3), CURLOPT_FTP_RESPONSE_TIMEOUT(3),